Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.io.bio
Class StringEndPoint

    java.lang.Object
      org.eclipse.jetty.io.bio.StreamEndPoint
          org.eclipse.jetty.io.bio.StringEndPoint

All Implemented Interfaces:
  EndPoint

    public class StringEndPoint

extends StreamEndPoint

To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Constructor Summary
`StringEndPoint()`
`StringEndPoint(java.lang.String encoding)`

Method Summary
`java.lang.String` | `getOutput()`
`boolean` | `hasMore()`
`void` | `setInput(java.lang.String s)`

Methods inherited from class org.eclipse.jetty.io.bio.StreamEndPoint
`blockReadable, blockWritable, close, fill, flush, flush, flush, getInputStream, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getOutputStream, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isClosed, isOpen, setInputStream, setMaxIdleTime, setOutputStream, shutdownOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringEndPoint

    public StringEndPoint()

### StringEndPoint

    public StringEndPoint(java.lang.String encoding)

Method Detail

### setInput

    public void setInput(java.lang.String s)

### getOutput

    public java.lang.String getOutput()

### hasMore

    public boolean hasMore()

  Returns:
    `true` if there are bytes remaining to be read from the encoded input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.